# Uses of Class
javafx.beans.property.ReadOnlyDoubleProperty

Packages that use ReadOnlyDoubleProperty
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.beans.property.adapter
Provides various classes that act as adapters between a regular Java Bean property and a corresponding `JavaFX Property`.
javafx.concurrent
Provides the set of classes for javafx.task.
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.image
Provides the set of classes for loading and displaying images.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.
javafx.scene.web
This package provides means for loading and displaying Web content.
javafx.stage
Provides the top-level container classes for JavaFX content.

## Uses of ReadOnlyDoubleProperty in javafx.animation

Methods in javafx.animation that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Animation.`currentRateProperty()`
Read-only variable to indicate current direction/speed at which the `Animation` is being played.

## Uses of ReadOnlyDoubleProperty in javafx.beans.property

Subclasses of ReadOnlyDoubleProperty in javafx.beans.property
Modifier and Type
Class
Description
`class`
`DoubleProperty`
This class defines a `Property` wrapping a `double` value.
`class`
`DoublePropertyBase`
The class `DoublePropertyBase` is the base class for a property wrapping a `double` value.
`class`
`ReadOnlyDoublePropertyBase`
Base class for all readonly properties wrapping a `double`.
`class`
`ReadOnlyDoubleWrapper`
This class provides a convenient class to define read-only properties.
`class`
`SimpleDoubleProperty`
This class provides a full implementation of a `Property` wrapping a `double` value.
Methods in javafx.beans.property that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`ReadOnlyDoubleProperty`
ReadOnlyDoubleWrapper.`getReadOnlyProperty()`
Returns the read-only property, that is synchronized with this `ReadOnlyDoubleWrapper`.
`static <T extends Number>
ReadOnlyDoubleProperty`
ReadOnlyDoubleProperty.`readOnlyDoubleProperty(ReadOnlyProperty<T> property)`
Returns a `ReadOnlyDoubleProperty` that wraps a `ReadOnlyProperty`.

## Uses of ReadOnlyDoubleProperty in javafx.beans.property.adapter

Subclasses of ReadOnlyDoubleProperty in javafx.beans.property.adapter
Modifier and Type
Class
Description
`final class`
`JavaBeanDoubleProperty`
A `JavaBeanDoubleProperty` provides an adapter between a regular Java Bean property of type `double` or `Double` and a JavaFX `DoubleProperty`.
`final class`
`ReadOnlyJavaBeanDoubleProperty`
A `ReadOnlyJavaBeanDoubleProperty` provides an adapter between a regular read only Java Bean property of type `double` or `Double` and a JavaFX `ReadOnlyDoubleProperty`.

## Uses of ReadOnlyDoubleProperty in javafx.concurrent

Methods in javafx.concurrent that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Service.`progressProperty()`
`final ReadOnlyDoubleProperty`
Task.`progressProperty()`
`ReadOnlyDoubleProperty`
Worker.`progressProperty()`
Gets the ReadOnlyDoubleProperty representing the progress.
`final ReadOnlyDoubleProperty`
Service.`totalWorkProperty()`
`final ReadOnlyDoubleProperty`
Task.`totalWorkProperty()`
`ReadOnlyDoubleProperty`
Worker.`totalWorkProperty()`
Gets the ReadOnlyDoubleProperty representing the maximum amount of work that needs to be done.
`final ReadOnlyDoubleProperty`
Service.`workDoneProperty()`
`final ReadOnlyDoubleProperty`
Task.`workDoneProperty()`
`ReadOnlyDoubleProperty`
Worker.`workDoneProperty()`
Gets the ReadOnlyDoubleProperty representing the current progress.

## Uses of ReadOnlyDoubleProperty in javafx.css

Subclasses of ReadOnlyDoubleProperty in javafx.css
Modifier and Type
Class
Description
`class`
`SimpleStyleableDoubleProperty`
This class extends `SimpleDoubleProperty` and provides a full implementation of a `StyleableProperty`.
`class`
`StyleableDoubleProperty`
This class extends `DoublePropertyBase` and provides a partial implementation of a `StyleableProperty`.

## Uses of ReadOnlyDoubleProperty in javafx.scene

Methods in javafx.scene that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Scene.`heightProperty()`
The height of this `Scene`
`final ReadOnlyDoubleProperty`
ImageCursor.`hotspotXProperty()`
The X coordinate of the cursor's hot spot.
`final ReadOnlyDoubleProperty`
ImageCursor.`hotspotYProperty()`
The Y coordinate of the cursor's hot spot.
`final ReadOnlyDoubleProperty`
Scene.`widthProperty()`
The width of this `Scene`
`final ReadOnlyDoubleProperty`
Scene.`xProperty()`
The horizontal location of this `Scene` on the `Window`.
`final ReadOnlyDoubleProperty`
Scene.`yProperty()`
The vertical location of this `Scene` on the `Window`.

## Uses of ReadOnlyDoubleProperty in javafx.scene.chart

Methods in javafx.scene.chart that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
CategoryAxis.`categorySpacingProperty()`
This is the gap between one category and the next along this axis
`final ReadOnlyDoubleProperty`
ValueAxis.`scaleProperty()`
The scale factor from data units to visual units

## Uses of ReadOnlyDoubleProperty in javafx.scene.control

Methods in javafx.scene.control that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Dialog.`heightProperty()`
Property representing the height of the dialog.
`final ReadOnlyDoubleProperty`
Dialog.`widthProperty()`
Property representing the width of the dialog.
`final ReadOnlyDoubleProperty`
TableColumnBase.`widthProperty()`
The width of this column.
`final ReadOnlyDoubleProperty`
Dialog.`xProperty()`
The horizontal location of this `Dialog`.
`final ReadOnlyDoubleProperty`
Dialog.`yProperty()`
The vertical location of this `Dialog`.

## Uses of ReadOnlyDoubleProperty in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
CellSkinBase.`cellSizeProperty()`
The default cell size.

## Uses of ReadOnlyDoubleProperty in javafx.scene.image

Methods in javafx.scene.image that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Image.`heightProperty()`
The image height or `0` if the image loading fails.
`final ReadOnlyDoubleProperty`
Image.`progressProperty()`
The approximate percentage of image's loading that has been completed.
`final ReadOnlyDoubleProperty`
Image.`widthProperty()`
The image width or `0` if the image loading fails.

## Uses of ReadOnlyDoubleProperty in javafx.scene.layout

Methods in javafx.scene.layout that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Region.`heightProperty()`
The height of this resizable node.
`final ReadOnlyDoubleProperty`
TilePane.`tileHeightProperty()`
The actual height of each tile.
`final ReadOnlyDoubleProperty`
TilePane.`tileWidthProperty()`
The actual width of each tile.
`final ReadOnlyDoubleProperty`
Region.`widthProperty()`
The width of this resizable node.

## Uses of ReadOnlyDoubleProperty in javafx.scene.media

Methods in javafx.scene.media that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`ReadOnlyDoubleProperty`
MediaPlayer.`currentRateProperty()`
The current rate of playback regardless of settings.

## Uses of ReadOnlyDoubleProperty in javafx.scene.text

Methods in javafx.scene.text that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
Text.`baselineOffsetProperty()`
The 'alphabetic' (or roman) baseline offset from the Text node's layoutBounds.minY location.

## Uses of ReadOnlyDoubleProperty in javafx.scene.web

Methods in javafx.scene.web that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`ReadOnlyDoubleProperty`
WebView.`heightProperty()`
Height of this `WebView`.
`ReadOnlyDoubleProperty`
WebView.`widthProperty()`
Width of this `WebView`.

## Uses of ReadOnlyDoubleProperty in javafx.stage

Methods in javafx.stage that return ReadOnlyDoubleProperty
Modifier and Type
Method
Description
`final ReadOnlyDoubleProperty`
PopupWindow.`anchorXProperty()`
Specifies the x coordinate of the popup anchor point on the screen.
`final ReadOnlyDoubleProperty`
PopupWindow.`anchorYProperty()`
Specifies the y coordinate of the popup anchor point on the screen.
`final ReadOnlyDoubleProperty`
Window.`heightProperty()`
The height of this `Window`.
`final ReadOnlyDoubleProperty`
Window.`outputScaleXProperty()`
The scale that the `Window` will apply to horizontal scene coordinates in all stages of rendering and compositing the output to the screen or other destination device.
`final ReadOnlyDoubleProperty`
Window.`outputScaleYProperty()`
The scale that the `Window` will apply to vertical scene coordinates in all stages of rendering and compositing the output to the screen or other destination device.
`final ReadOnlyDoubleProperty`
Window.`widthProperty()`
The width of this `Window`.
`final ReadOnlyDoubleProperty`
Window.`xProperty()`
The horizontal location of this `Window` on the screen.
`final ReadOnlyDoubleProperty`
Window.`yProperty()`
The vertical location of this `Window` on the screen.